#ifndef X_UIMSGBOXOK_H
#define X_UIMSGBOXOK_H

#include <LoQClass/loqdialog.h>
namespace Ui {
class X_UIMsgBoxOk;
}

class X_UIMsgBoxOk : public LoQDialog
{
    Q_OBJECT

public:
    explicit X_UIMsgBoxOk(QWidget *parent = nullptr);
    X_UIMsgBoxOk(QString strTitle,QString text, QWidget *parent = nullptr);
    X_UIMsgBoxOk(QString strTitle,QString text, QWidget *parent = nullptr,int iType=0);
    ~X_UIMsgBoxOk();
    int m_bExitTypeFlag=0;
signals:
    void signSyncFirmware();

protected slots:
    void OnSyncFirmware();
private:
    Ui::X_UIMsgBoxOk *ui;

};

#endif // X_UIMSGBOXOK_H
